<solidify-base-action-dialog [titleToTranslate]="(isUpdateMode ? KEY_UPDATE_TITLE : KEY_CREATE_TITLE) | translate">
  <div [solidifySpinner]="isLoadingObs | async">
    <dlcm-admin-subject-area-form #formPresentational
                                     (checkAvailableChange)="checkAvailable($event)"
                                     (dirtyChange)="updateCanDeactivate($event)"
                                     (submitChange)="update($event)"
                                     [model]="current"
                                     [readonly]="false"
                                     class="form"
    ></dlcm-admin-subject-area-form>
  </div>
</solidify-base-action-dialog>
<div mat-dialog-actions>
  <button [mat-dialog-close]=""
          [solidifyAutoFocus]="true"
          mat-button
          color="primary"
  >
    {{KEY_CANCEL_BUTTON | translate}}
  </button>
  <button (click)="confirm()"
          (onEnter)="confirm()"
          [disabled]="formPresentational?.form?.invalid || formPresentational?.form?.pristine"
          color="primary"
          mat-flat-button
          solidifyShortCuts
  >
    <ng-template [ngIfElse]="isUpdateModeTemplate"
                 [ngIf]="isCreateMode"
    >{{KEY_CREATE_BUTTON | translate}}</ng-template>
    <ng-template #isUpdateModeTemplate>{{KEY_UPDATE_BUTTON | translate}}</ng-template>
  </button>
</div>
